package aspectEditor.aspectEditorUtils;
import java.util.jar.JarFile;
import java.util.*;
import java.io.*;
import edu.neu.ccs.demeter.aplib.*;
import edu.neu.ccs.demeter.*;
public class ClassDictionaryL extends AspectLanguage {
  protected ClassDictionaryName classdictionaryname;
  public ClassDictionaryName get_classdictionaryname() { return classdictionaryname; }
  public void set_classdictionaryname(ClassDictionaryName new_classdictionaryname) { classdictionaryname = new_classdictionaryname; }
  protected ClassDict classdict;
  public ClassDict get_classdict() { return classdict; }
  public void set_classdict(ClassDict new_classdict) { classdict = new_classdict; }
  public ClassDictionaryL() { super(); }
  public ClassDictionaryL(ClassDictionaryName classdictionaryname, ClassDict classdict) {
    super();
    set_classdictionaryname(classdictionaryname);
    set_classdict(classdict);
  }
  public static ClassDictionaryL parse(java.io.Reader in) throws ParseException { return new Parser(in)._ClassDictionaryL(); }
  public static ClassDictionaryL parse(java.io.InputStream in) throws ParseException { return new Parser(in)._ClassDictionaryL(); }
  public static ClassDictionaryL parse(String s) {
    try { return parse(new java.io.StringReader(s)); }
    catch (ParseException e) {
      throw new RuntimeException(e.toString());
    }
  }
  void universal_trv0_bef(UniversalVisitor _v_) {
    super.universal_trv0_bef(_v_);
    ((UniversalVisitor) _v_).before(this);
  }

  void universal_trv0_aft(UniversalVisitor _v_) {
    ((UniversalVisitor) _v_).after(this);
    super.universal_trv0_aft(_v_);
  }

  void universal_trv0(UniversalVisitor _v_) {
    universal_trv0_bef(_v_);
    ((UniversalVisitor) _v_).before_classdictionaryname(this, classdictionaryname);
    classdictionaryname.universal_trv0(_v_);
    ((UniversalVisitor) _v_).after_classdictionaryname(this, classdictionaryname);
    ((UniversalVisitor) _v_).before_classdict(this, classdict);
    classdict.universal_trv0(_v_);
    ((UniversalVisitor) _v_).after_classdict(this, classdict);
    super.universal_trv0(_v_);
    universal_trv0_aft(_v_);
  }

}
